Subject: Re: bug#37421: [PATCH] gnu: node: Disable tests that fail with [email-masked].

From: Jelle Licht <[email-masked]>
Date: Mon, 16 Sep 2019 20:57:53 +0200

Ludovic Courtès <[email-masked]> writes:

> Hello,
>
> Tobias Geerinckx-Rice via Bug reports for GNU Guix <[email-masked]>
> skribis:
>
>> Work around <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37386>.
>>
>> * gnu/packages/node.scm (node)[arguments]: Disable failing tests.
>
> [...]
>
>> +             ;; FIXME: These tests fail with [email-masked].
>> +             (for-each delete-file
>> +                       '("test/parallel/test-crypto-binary-default.js"
>> +                         "test/parallel/test-crypto-dh.js"))
>
> It may be the best short-term solution.
Agreed, if ungoogled-chromium works with this that would probably be the
best option.
>
> Could we take a look at what these failures are about to see how bad
> that might be?

Interestingly enough, https://github.com/nodejs/node/issues/3881 notes
issues with exactly these two tests. Perhaps there is a regressions in
our case?